using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 相关方安全表现评估表估项目中间表
    /// </summary>
    [Description("相关方安全表现评估表估项目中间表")]
    public class T_OG_RELATED_ESTIMATE_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 相关方安全表现评估表ID
        /// </summary>
        [Description("相关方安全表现评估表")]
        [DataFieldForeignKey("Nav_Estimate", "Nav_Details")]
        public Guid ESTIMATE_ID { get; set; }
        /// <summary>
        /// 导航属性：相关方安全表现评估表
        /// </summary>
        [Description("导航属性：相关方安全表现评估表")]
        public T_OG_RELATED_ESTIMATE Nav_Estimate { get; set; }
        /// <summary>
        /// 评估项目
        /// </summary>
        [Description("评估项目")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Item")]
        public Guid ITEM_ID { get; set; }
        /// <summary>
        /// 导航属性：评估项目表
        /// </summary>
        [Description("导航属性：评估项目表")]
        public T_OG_RELATED_ESTIMATE_ITEM Nav_Item { get; set; }
        /// <summary>
        /// 评估结论
        /// </summary>
        [Description("评估结论")]
        [EnumName("OGEvaluationResultEnum")]
        [FormFieldEdit]
        public OGEvaluationResultEnum RESULT_TYPE { get; set; }
        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int NUM { get; set; }
    }
}

